Package net.sourceforge.jiu.ops

# Class DirectoryTree

java.lang.Object
net.sourceforge.jiu.ops.DirectoryTree

class DirectoryTree extends Object
Small data class for names of directories that are to be processed.

Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) String`
`input`
Input directory name, as found in the file system.
`(package private) String`
`output`
Corresponding output directory name, may not yet be in the file system.

## Constructor Summary

Constructors
Constructor
Description
`DirectoryTree()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### input

String input
Input directory name, as found in the file system.

### output

String output
Corresponding output directory name, may not yet be in the file system.

## Constructor Details

### DirectoryTree

DirectoryTree()